using System.ComponentModel;
using System.ComponentModel.DataAnnotations;


namespace WCS.WorkEngineering.WebApi.Models.WMS.Request
{
    

    /// <summary>
    ///  分拣业务类型
    /// </summary>
    public enum TaskBusType
    {
        /// <summary>
        ///  默认
        /// </summary>
        [Description("默认")]
        def = 0,

        /// <summary>
        ///  一楼人工入空托盘
        /// </summary>
        [Description("一楼人工入空托盘")]
        OneLayerManualPallets = 1,

        /// <summary>
        ///  一楼自动入空托盘
        /// </summary>
        [Description("一楼自动入空托盘")]
        OneLayerAutoPallets = 2,

        /// <summary>
        ///  手动出库
        /// </summary>
        [Description("手动出库")]
        TaskBusType_FJ_ManualOut = 3,

        /// <summary>
        ///  二楼组盘
        /// </summary>
        [Description("二楼组盘")]
        二楼组盘 = 4,

        /// <summary>
        ///  二楼空托盘组出库
        /// </summary>
        [Description("二楼空托盘组出库")]
        二楼空托盘组出库 = 5,

        /// <summary>
        ///  组盘_托盘
        /// </summary>
        [Description("组盘_托盘")]
        组盘_托盘 = 6,
    }
}
